Subject: RE: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last Call comments ...)

From: "Carl Williams" <[email-masked]>
Date: Mon, 3 Nov 2003 20:58:45 -0800

James,
 
    The LMM requirement analysis that you and other MIP working
  group members performed over the past 2 years was done with
  Mobile IP in mind.  For example, some of the resulting requirements 
were in response to identifying shortcomings with currently proposed 
(MIP based) LMM solutions.  If we simply change the language in
  the current document to remove MIP specifics, would this result
  in a complete set of requirements that encompass non-MIP
  solutions.  This is just a question I am posing. If the answer is yes,
  then it is trivial to change the existing requirement document to be
  independent of  MIP.    
 
     The resulting knowledge and experience gained from the MIP
LMM work is very important IRTF (and mipshop) input and the resulting 
requirements document can serve as a guide for IRTF study of IP
Mobility.
The LMM requirement analysis was successful in that it really allowed
the 
working group to step back and take a good fresh look at MIP as well as 
IP mobility in general.  Many of the working group members progressed in

their thinking on the subject.  I observed that this analysis paralleled
with 
discussions happening in other working groups helped us to understand
the 
limits of MIP and how the IETF might go about dealing with work in the 
IP mobility area (i.e., creation of IRTF group, mipshop group, etc...).

So my opinion (for what its worth) is for making the LMM requirements 
document non-MIP specific if we can do so and keep our deadlines.  
 
     With regards to how MIPshop will use the LMM requirements document,

  this is up to the working group and chair.  I think the short term
plan
  of advancing LMM solutions to experimental doesn't require those 
  protocols to meet all requirements - as long as we understand the
  exceptions.  But for standard track this may be a different call.
Either
  way the requirements are serving a purpose.
 
  Carl
 
Original Message:
-----------------
From: James Kempf [email-masked]
Date: Mon, 3 Nov 2003 10:00:01 -0800
To: [email-masked], [email-masked]
Subject: Re: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last
Call comments ...)

Carl,
 
I'll restate my question to Gab: if the LMM requirements are not
intended to
guide the IRTF work or the work in IETF, then what is the point of doing
them? If they are, and, as Gab has said, the IRTF work is intended to
take a
wide view than just MIP, then what is the purpose of making the
requirements
MIP specific?
 
            jak
 
----- Original Message ----- 
From: "Carl Williams" <[email-masked]>
To: <[email-masked]>
Sent: Friday, October 31, 2003 10:59 AM
Subject: Re: On the NECESSITY of MIP for LMM (was Re: [Mipshop] WG Last
Call
comments ...)

>
> LMM requirement analysis was conducted in the MIP working
> group starting about Spring 2001.  Such analysis was focused
> on analysis of MIP signaling.  The discussion also was (at
> least) partially motivated by examination of existing LMM
> solutions that had been proposed at that time. Little (if
> any) discussion on LMM requirement analysis took into account
> a framework not based on MIP.  The resulting requirements
> evolved from these discussions.  Ref [1] in the requirement
> document captures and expands (greatly) from the discussion
> that the MIP group had on LMM requirements (it is also
> based on a MIP based framework).
>
> At around this time as well discussion on micro-mobility
> was happening in the seamoby working group. Documents
> were drafted there as well.
>
> While we can remove MIP specific language from the current
> LMM (MIP) requirement document, I wonder if that would
> result in a complete set of requirements that have been
> well thought out to take into account local mobility management
> schemes that are not based on MIP.
>
> I presented a couple of times in the IRTF generic LMM problem
> statement.  There are also many academic papers (Columbia
> University) that dig into this as well.  I talked with
> Thomas back in IETF (SLC) about the need for IRTF review
> of some of these issues and what was not happening in MIP
> working group.
>
> My recommendation is similar to Gabriel's in that I think that
> that the IRTF should do some work (at least scoping out the
> issues) and then proceed to make a recommendation to the
> IETF.  Such a recommendation may mean forming a new
> working group or re-chartering an existing working group(s)
> to take on work that is being recommended (if that is the outcome).
> The reason for taking this process is that I still have questions
> if the IETF has something to be engineer in mipshop
> other than what was already been worked on for past 3 (maybe
> 4 years). At that time LMM really was more experimental but
> IRTF had no group working on it.  Thus, it was done in
> the IETF MIP group. Also, micro-mobility was moved from MIP to
> seamoby to IRTF.  I think some initial recommendation from IRTF can
> happen in short order because much was done in the community
> already.
>
>

---

From: "James Kempf" <[email-masked]>
Date: Tue, 4 Nov 2003 15:34:20 -0800

Carl,

At the time these requirements were proposed, the Mobile IP WG had the
intent of making the FMIPv6 and HMIPv6 standards, and they certainly served
as a basis for agreement on what properties the protocols should have for
that specific goal, though the security requirements are still quite
deficient, IMHO. But given that circumstances have changed, and these
protocols are not intended to become standards, I think it is prudent to
question what exactly the goals of these requirements are, going forward.

I personally don't believe that it is prudent to bind the IRTF MOPOPTS RG by
requirements that were developed 2 years ago for protocols that were
intended to be standards track. Research is different than standardization
activity, and I believe that one must leave open the possibility of an "out
of the box" solution that might evolve the Mobile IP architecture in a
particular direction not covered by the Mobile IP architecture at the time
these requirements were generated, with regard to security in particular. In
fact, at the time these requirements were generated the Mobile IP
architecture did not include Return Routability, so the Mobile IP
architecture has already evolved from where it was when the requirements
were originally generated. As I've mentioned, the Seamoby WG has discarded
all requirements for exactly this reason, because the protocols are being
proposed for publication as experimental, and the Research Group will need
the flexibility to move the architecture forward.

Pekka has proposed removing specific mention of Mobile IP, and that would be
an acceptable compromise IMHO, as long as the result is not phrased in such
a way that it would require radical changes in the Internet architecture to
accommodate (such as completely changing Internet routing or adding new
layers in the stack). In addition, I believe the security requirements need
strengthening. In fact, a comprehensive threat analysis would be my
preference, but that may be too time consuming to be accommodated by the
desire of the WG to complete this work quickly.

            jak

>   way the requirements are serving a purpose.

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: gabriel montenegro <[email-masked]>
Date: Wed, 05 Nov 2003 15:37:49 +0100

We don't need to fear that anything we publish today will necessarily
force us down the road. The IESG has a practice of adding remarks to
documents to clarify how applicable or recommended they are (or are not).
It seems to me that if this picture of doom is even remotely possible,
a simple addition (by the WG) to the effect that the lmm requirements
document is meant to capture the thinking around Spring 2001 (insert
proper dates here) and is not meant to bind any future efforts that,
due to gained wisdom, may wish to depart from it.

Another comment being discussed is that lmm should produce the "general
IP mobility (as opposed to MIP-based) "goals" (or "requirements")
for some "customer" group. Without one, then it would indeed be a
waste of IETF resources to do an exercise on "general IP mobility"
just because somebody in the future might actually look at them.
We either need a customer in the IETF or in the IRTF to justify this.
There is none in the IETF>

I wondered if there was no IRTF customer either for
this work. I realized that there didn't seem to be one. So I asked
the question to some folks involved in chartering the "MOBOPTS"
IRTF mobility research group we've referred to recently. I don't
know what the results of those conversations will be, but perhaps
they will end up by at least allowing that IRTF group some
flexibility in allowing some general IP mobility thinking.

If this becomes possible in the IRTF group, then I wonder why
would the IETF do this requirements work, and not the IRTF group itself.

I see no good answer.

This is why I'm currently thinking that other than a very simple
set of changes to the current lmm document, MIPSHOP should leave
this work to the IRTF group (assuming it becomes possible there).

-gabriel